## org.eclipse.datatools.sqltools.common.ui.tableviewer
Class EnhancedTableViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTableViewer
                          org.eclipse.jface.viewers.TableViewer
                              org.eclipse.datatools.sqltools.common.ui.tableviewer.EnhancedTableViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class EnhancedTableViewer

extends org.eclipse.jface.viewers.TableViewer

Enhanced table view for TableView(Sorted and readonly function)

Author:
  Hui Wan

Constructor Summary
`EnhancedTableViewer(org.eclipse.swt.widgets.Composite parent)`
`EnhancedTableViewer(org.eclipse.swt.widgets.Composite parent, int style)`
`EnhancedTableViewer(org.eclipse.swt.widgets.Table table)`

Method Summary
`IEnhanceTableDataReadOnly` `getReadOnly()`
`void` `setReadOnly(IEnhanceTableDataReadOnly readOnly)`
`void` `setSortable(boolean sortable)`

Methods inherited from class org.eclipse.jface.viewers.TableViewer
`getControl, getTable, refresh, refresh, setSelection`

Methods inherited from class org.eclipse.jface.viewers.AbstractTableViewer
`add, add, clear, getElementAt, getLabelProvider, insert, remove, remove, replace, reveal, setItemCount`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`cancelEditing, editElement, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, refresh, refresh, setCellEditors, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Constructor Detail

### EnhancedTableViewer

    public EnhancedTableViewer(org.eclipse.swt.widgets.Composite parent)

### EnhancedTableViewer

    public EnhancedTableViewer(org.eclipse.swt.widgets.Composite parent,
                               int style)

### EnhancedTableViewer

    public EnhancedTableViewer(org.eclipse.swt.widgets.Table table)

Method Detail

### setSortable

    public void setSortable(boolean sortable)

### setReadOnly

    public void setReadOnly(IEnhanceTableDataReadOnly readOnly)

### getReadOnly

    public IEnhanceTableDataReadOnly getReadOnly()